<div *ngIf="errorMessage; else noError" class="alert alert-warning">
    <strong>Warning!</strong> {{errorMessage | json}}
</div>


<ng-template #noError>
<div class="container-fluid mt-2">
    <div class="row app-container p-2">
      <div class="col-lg-12 offset-md-0">
        <p>Select the preferences in the order you want the adaptations to be sorted by</p>

        <div class="table-responsive">
            <table class="table table-condensed">

            <tr>
                <th width="20%">First</th>
                <th width="20%">Second</th>
                <th width="20%">Third</th>
                <th width="20%">Fourth</th>
                <th width="20%">Actions</th>
            </tr>

            <tbody>
              <!-- Preference 1-->
              <td class="overflow-hidden">
                <div ngbDropdown container="body">
                  <button class="btn btn-outline-primary btn-sm" ngbDropdownToggle>{{ this.firstPreference }}</button>
                  <div ngbDropdownMenu>
                    <button ngbDropdownItem *ngFor="let pre of this.preferences" (click)="selectFirst(pre)">{{ pre }}</button>
                  </div>
                </div>
              </td>
              <!-- Preference 2 -->
              <td class="overflow-hidden">
                <div ngbDropdown container="body">
                  <button class="btn btn-outline-primary btn-sm" ngbDropdownToggle>{{ this.secondPreference}}</button>
                  <div ngbDropdownMenu>
                    <button ngbDropdownItem *ngFor="let pre of this.preferences" (click)="selectSecond(pre)">{{ pre }}</button>
                  </div>
                </div>
              </td>
              <!-- Preference 3 -->
              <td class="overflow-hidden">
                <div ngbDropdown container="body">
                  <button class="btn btn-outline-primary btn-sm" ngbDropdownToggle>{{ this.thirdPreference }}</button>
                  <div ngbDropdownMenu>
                    <button ngbDropdownItem *ngFor="let pre of this.preferences" (click)="selectThird(pre)">{{ pre }}</button>
                  </div>
                </div>
              </td>
              <!-- Preference 4 -->
              <td class="overflow-hidden">
                <div ngbDropdown container="body">
                  <button class="btn btn-outline-primary btn-sm" ngbDropdownToggle>{{ this.fourthPreference }}</button>
                  <div ngbDropdownMenu>
                    <button ngbDropdownItem *ngFor="let pre of this.preferences" (click)="selectFourth(pre)">{{ pre }}</button>
                  </div>
                </div>
              </td>
              <!-- Actions -> confirm selection -->
              <td>
                <div class="btn btn-danger" [attr.id]="factorChange" (click)="sendPreferences();">
                  Confirm Factor Change
                </div>
              </td>  
            </tbody>

            </table>
        </div>
      </div>
    </div>
  </div>

  <div class="container-fluid" id="alertNoCorrectValueSelected" *ngIf="clickedConfirmIncorrectValue == true;">
    <ngb-alert width="100%" type="danger" (closed)="clickedConfirmIncorrectValue = false">
      <strong>Warning!</strong> The selected action cannot be confirmed because of incorrect values.
    </ngb-alert>
  </div>

  <p>Reset your choices</p>
  <div class="btn btn-success" [attr.id]="buttonResetChoices" (click)="resetChoices();">
    Reset Choices
  </div>
  
</ng-template>